package opc.ua.services.common;

public class DiagnosticInfo {

	private long namespaceUri;
	private long symbolicId;
	private long locale;
	private long localizedText;
	private String additionalInfo;
	private DiagnosticInfo innerDiagnosticInfo;
	
	public long getNamespaceUri() {
		return namespaceUri;
	}
	public void setNamespaceUri(long namespaceUri) {
		this.namespaceUri = namespaceUri;
	}
	public long getSymbolicId() {
		return symbolicId;
	}
	public void setSymbolicId(long symbolicId) {
		this.symbolicId = symbolicId;
	}
	public long getLocale() {
		return locale;
	}
	public void setLocale(long locale) {
		this.locale = locale;
	}
	public long getLocalizedText() {
		return localizedText;
	}
	public void setLocalizedText(long localizedText) {
		this.localizedText = localizedText;
	}
	public String getAdditionalInfo() {
		return additionalInfo;
	}
	public void setAdditionalInfo(String additionalInfo) {
		this.additionalInfo = additionalInfo;
	}
	public DiagnosticInfo getInnerDiagnosticInfo() {
		return innerDiagnosticInfo;
	}
	public void setInnerDiagnosticInfo(DiagnosticInfo innerDiagnosticInfo) {
		this.innerDiagnosticInfo = innerDiagnosticInfo;
	}
	
}
